# Uses of Interface
org.eclipse.rap.rwt.application.ApplicationConfiguration

Packages that use ApplicationConfiguration
Package
Description
org.eclipse.rap.rwt.application
org.eclipse.rap.rwt.osgi

## Uses of ApplicationConfiguration in org.eclipse.rap.rwt.application

Constructors in org.eclipse.rap.rwt.application with parameters of type ApplicationConfiguration
Modifier
Constructor
Description
``
`ApplicationRunner(ApplicationConfiguration configuration, ServletContext servletContext)`
Constructs a new instance of this class given an application configuration and the servlet context it is bound to.

## Uses of ApplicationConfiguration in org.eclipse.rap.rwt.osgi

Methods in org.eclipse.rap.rwt.osgi with parameters of type ApplicationConfiguration
Modifier and Type
Method
Description
`ApplicationReference`
ApplicationLauncher.`launch(ApplicationConfiguration configuration, HttpService httpService, HttpContext httpContext, String contextName, String contextDirectory)`
Launches an application with the given configuration at the given HTTPService.